#ifndef __LED_H
#define	__LED_H

#include "stm32f10x.h"

/* the macro definition to trigger the led on or off 
 * 1 - off
 - 0 - on
 */
#define ON  0
#define OFF 1

#define LED(port, pin, a)	if (a)	\
					GPIO_SetBits(port, pin);\
					else		\
					GPIO_ResetBits(port, pin)

#endif /* __LED_H */					
